//colors
$white: #ffffff;
$black: #000000;
$dark: #161717;
$orange: #ffa451;
$error: #f55;

$blue100: #f6fbfe; //tabl row
$blue200: #b3b5b6;
$blue300: #2898ff; //button
$blue400: #5790dc;
$blue500: #214464; //bg block
$blue600: #09345a; //bg main

$beige100: #f8f5ec; // шильдик на главной
$beige200: #e3dcd0; //шильдики где 10лет

$secondary100: #f5f5f5; //bg block
$secondary200: #c1c1c1;
$secondary300: #838383;
$secondary400: #686868;
$secondary500: #454545;

body {
  background: $blue600;
  .hidden {
    height: 100vh;
    overflow-y: hidden;
    padding-right: 15px;
  }
}
.all-wrapper {
  padding: 0 32px;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  max-width: 1920px;
  margin: 0 auto;
  @media (max-width: 1365px) {
    padding: 0 15px;
  }
  @media (max-width: 1023px) {
    padding: 0 10px;
    justify-content: flex-start;
  }
}

// button
.button {
  @include reset-button();
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  border-radius: 12px;
  font-weight: 500;
  white-space: nowrap;
  //   transition: 0.3s ease-in;
  cursor: pointer;

  &.active {
    background-color: $blue300;
    color: $white;
    padding-top: 8px;
    padding-bottom: 8px;
    font-weight: 600;
  }
  &:disabled,
  &.disable {
    background: $secondary200;
    cursor: default;
  }
  &:disabled:hover,
  &.disable:hover {
    opacity: 1;
    background: $secondary200;
  }
  @media (max-width: 1023px) {
    &.button_small {
      padding: 5px 10px;
      border-radius: 10px;
      font-size: 12px;
    }
  }
}
.button__label {
  @media (min-width: 1023px) {
    margin: 0 12px;
  }
}
.button_blue {
  background-color: $blue300;
  color: $white;
  border-radius: 10px;
  padding: 5px 10px;
  @media (min-width: 1023px) {
    padding: 10px 4px;
    &:hover {
      opacity: 1;
      // background-color: rgba($color: #2898ff, $alpha: 0.8);
      background-color: #1d82df;
    }
  }
}
.button_medium {
  border-radius: 10px;
  padding: 20px;
  width: 100%;
  font-size: 16px;
  height: 60px;
  @media (min-width: 1023px) {
    border-radius: 24px;
    padding: 24px 36px;
    width: 227px;
    height: 75px;
    &:hover {
      opacity: 1;
      // background-color: rgba($color: #2898ff, $alpha: 0.8);
      background-color: #1d82df;
    }
  }
}

.button_outlined {
  border: 1px solid #fff;
  padding: 9px 10px;
  @media (min-width: 1023px) {
    &:hover {
      color: rgba($color: #fff, $alpha: 0.8);
      border: 1px solid rgba($color: #fff, $alpha: 0.4);
    }
    &:active {
      background-color: transparent;
      color: #fff;
      border: 1px solid #fff;
      padding: 9px 10px;
    }
  }
}
.button_icon {
  padding: 10px;
}
.button_text_icon {
  gap: 10px;
}

// input
.v-input {
  width: 100%;
}

.v-input__wrapper {
  background: white;
  border-radius: 16px;
  padding: 16px;
  display: flex;
  position: relative;
  width: 100%;
  @media (min-width: 1023px) {
    &:hover {
      outline: 3px solid rgba($color: $blue300, $alpha: 0.5);
      outline-offset: -2px;
    }
  }
}
.v-input__hint {
  margin: 0 18px 12px;
  font-weight: 600;
  span {
    color: $error;
  }
}
input.v-input__input {
  background: transparent;
  border: none;
  border-radius: 0;
  color: $dark;
  font-weight: 500;
  height: 17px;
  width: 100%;

  &:focus {
    border: none;
    outline: none;
  }

  &::placeholder {
    color: $secondary500;
    font-size: 14px;
    font-weight: 500;
  }

  &:placeholder-shown {
    text-overflow: ellipsis;
  }
}
// .v-input__wrapper.v-input__wrapper_error {
//   border-color: $error;
//   box-shadow: none;
// }

// .v-input__wrapper.v-input__wrapper_error .v-input__label {
//   color: $error;
// }

// .v-input__wrapper.v-input__wrapper_error .v-input__input {
//   color: $error;
// }

// .v-input__wrapper.v-input__wrapper_error .v-input__input::placeholder {
//   color: $error;
// }

.v-input__wrapper.v-input__wrapper_focused {
  outline: 3px solid $blue300;
  outline-offset: -2px;
  // box-shadow: 0 0 0 2px $blue300;
}

.v-input__wrapper.v-input__wrapper_disabled {
  border-color: #d8d8d8;
  box-shadow: none;
}
.v-input__wrapper.v-input__wrapper_disabled .v-input__label {
  color: #bebebe;
}

.v-input__wrapper.v-input__wrapper_disabled .v-input__input {
  color: #bebebe;
}

.v-input__wrapper.v-input__wrapper_disabled .v-input__input::placeholder {
  color: #bebebe;
}
.input-error {
  color: $error;
  font-size: 11px;
  font-weight: 500;
  margin: 5px 18px 0;
}
//textarea
.v-input__textarea {
  font-family: 'Inter', sans-serif !important;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  padding: 0;
  width: 100%;
  height: 17px;
  border: none;
  resize: none;
  font-weight: 500;
  &:focus-visible {
    outline: none;
  }
  &:focus {
    border: none;
    outline: none;
  }

  &::placeholder {
    color: $secondary500;
    font-size: 14px;
    font-weight: 500;
  }
}

//select
.v-select__wrapper {
  background: white;
  border-radius: 16px;
  padding: 16px;
  display: flex;
  align-items: center;
  position: relative;
  width: 100%;
  color: $dark;
  font-weight: 500;
  cursor: pointer;
  @media (min-width: 1023px) {
    &:hover {
      outline: 3px solid rgba($color: $blue300, $alpha: 0.5);
      outline-offset: -2px;
    }
  }
  &.open {
    outline: 3px solid $blue300;
    outline-offset: -2px;
  }
}
.select {
  text-align: left;
  width: 100%;
  position: relative;

  .select-block {
    width: 100%;
    height: auto;
    border-radius: 12px;
    box-shadow: 0 5px 25px -4px rgba(0, 0, 0, 0.05);
    position: absolute;
    background-color: white;
    box-sizing: border-box;
    visibility: hidden;
    opacity: 0;
    transition: all 0.3s;
    z-index: 2;
    padding: 24px;
    transform: translateY(3px);

    &.open {
      visibility: visible;
      opacity: 1;
    }
  }

  ul {
    display: flex;
    flex-direction: column;
    gap: 17px;
    li {
      list-style-type: none;
      color: $dark;
      font-weight: 500;
      cursor: pointer;
      transition: all 0.3s;
      &:hover {
        color: $blue300;
      }
      &.active {
        color: $blue300;
      }
    }
  }

  .select-icon {
    position: absolute;
    right: 16px;
    transition: all 0.3s;
    &.select-close {
      transform: rotate(90deg);
    }
  }
}
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.2s ease;
}

.fade-enter-from,
.fade-leave-to {
  opacity: 0;
}
